import { axios } from '@/utils/request'

/**
 * 卫星仓绑定相关接口
 */
// 供应商门店绑定分页查询
export const supplierStoreList = params => {
  const url = `/supplierStore/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
// 供应商与门店新增绑定
export const supplierStoreBind = params => {
  return axios.request({
    url: '/supplierStore/bind',
    data: params,
    method: 'post'
  })
}
/**
 * 门店信息相关接口
 */
// 门店分页查询
export const storeListQuery = params => {
  const url = `/store/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
// 查询所有门店
export const storeFindAll = params => {
  return axios.request({
    url: '/store/findAll',
    data: params,
    method: 'post'
  })
}
// 根据名称精确查询所有门店
export const storeQueryAll = params => {
  return axios.request({
    url: '/store/query',
    data: params,
    method: 'post'
  })
}
/**
 * 配件信息
 */
// 配件分页查询
export const partListQuery = params => {
  const url = `/part/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
