import { axios } from '@/utils/request'

// 供应商分页查询
export const supplierListQuery = params => {
  const url = `/supplier/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
// 查询所有供应商
export const supplierFindAll = params => {
  return axios.request({
    url: '/supplier/findAll',
    data: params,
    method: 'post'
  })
}
// 根据供应商名称查询所有供应商
export const supplierQueryAll = params => {
  return axios.request({
    url: '/supplier/query',
    data: params,
    method: 'post'
  })
}
// 供应商编辑
export const supplierEdit = params => {
  return axios.request({
    url: '/supplier/edit',
    data: params,
    method: 'post'
  })
}
// 供应商详情
export const supplierView = params => {
  return axios.request({
    url: `/supplier/selectBySn/${params.supplierSn}`,
    data: {},
    method: 'post'
  })
}
// 根据供应商SN查询可用账户信息
export const supplierBankQuery = params => {
  return axios.request({
    url: `/supplierBankAccount/queryEnableBySupplierSn`,
    data: params,
    method: 'post'
  })
}
// 保存结算账户信息
export const supplierBankSave = params => {
  return axios.request({
    url: `/supplierBankAccount/save`,
    data: params,
    method: 'post'
  })
}
