import {
  UserLayout,
  BasicLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [{
  path: '/',
  name: 'index',
  component: BasicLayout,
  meta: {
    title: '首页'
  },
  redirect: '/home',
  children: [{
    path: '/home',
    name: 'home',
    redirect: '/home',
    component: PageView,
    meta: {
      title: '首页',
      icon: 'home'
    },
    hideChildrenInMenu: true,
    children: [{
      path: '/home',
      name: 'home',
      component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
      meta: {
        title: '首页',
        icon: 'home',
        hidden: true
      }
    },
    {
      path: '/changePwd',
      name: 'changePwd',
      component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
      meta: {
        title: '修改密码',
        icon: 'home',
        hidden: true
      }
    }
    ]
  },
  /**
   *  之后迭代版本可能有用
   */
  // {
	 //  path: '/FinancialManagement',
	 //  name: 'FinancialManagement',
	 //  component: PageView,
	 //  meta: { title: '财务管理', icon: 'account-book', permission: 'M_cwgn' },
	 //  children: [
	 //    {
	 //      path: 'LedgerRecords/list',
	 //      name: 'LedgerRecords',
	 //      component: () => import(/* webpackChunkName: "FinancialManagement" */ '@/views/FinancialManagement/LedgerRecords.vue'),
	 //      meta: { title: '分账记录', icon: 'form' }
	 //    },
  //     {
  //       path: 'CashOutManagement/list',
  //       name: 'CashOutManagement',
  //       component: () => import(/* webpackChunkName: "FinancialManagement" */ '@/views/FinancialManagement/CashOutManagement.vue'),
  //       meta: { title: '提现管理', icon: 'property-safety' }
  //     }
	 //  ]
  // },
  {
    path: '/storehouseManagement',
    name: 'storehouseManagement',
    component: PageView,
    meta: { title: '卫星仓管理', icon: 'switcher', permission: 'M_storehouseManagement' },
    children: [
      /**
        *  之后迭代版本可能有用
        */
      // {
      //   path: 'StockSearch/list',
      //   name: 'StockSearch',
      //   component: () => import(/* webpackChunkName: "storehouseManagement" */ '@/views/storehouseManagement/StockSearch.vue'),
      //   meta: { title: '库存查询', icon: 'security-scan' }
      // },
      {
        path: 'storeBind/list',
        name: 'StoreBind',
        component: () => import(/* webpackChunkName: "storehouseManagement" */ '@/views/storehouseManagement/storeBind/StoreBindList.vue'),
        meta: { title: '卫星仓绑定', icon: 'block', permission: 'M_storeBind_list' }
      },
      {
        path: 'customerInfo/list',
        name: 'CustomerList',
        component: () => import(/* webpackChunkName: "storehouseManagement" */ '@/views/storehouseManagement/customerInfo/CustomerList.vue'),
        meta: { title: '客户信息', icon: 'idcard', permission: 'M_customerInfo' }
      },
      {
        path: 'productInfo/list',
        name: 'ProductList',
        component: () => import(/* webpackChunkName: "storehouseManagement" */ '@/views/storehouseManagement/productInfo/ProductList.vue'),
        meta: { title: '产品信息', icon: 'profile', permission: 'M_productInfo' }
      }
    ]
  },
  {
    path: '/supplierManagement',
    name: 'supplierManagement',
    component: PageView,
    meta: { title: '供应商管理', icon: 'solution', permission: 'M_supplierManagement' },
    children: [
      {
        path: 'supplierList',
        name: 'SupplierList',
        component: () => import(/* webpackChunkName: "storehouseManagement" */ '@/views/supplierManagement/SupplierList.vue'),
        meta: { title: '供应商信息', icon: 'contacts', permission: 'M_supplierList_list' }
      },
      {
        path: 'organization',
        name: 'Organization',
        component: () => import(/* webpackChunkName: "storehouseManagement" */ '@/views/supplierManagement/Organization.vue'),
        meta: { title: '组织机构', icon: 'cluster', permission: 'M_organization_list' }
      }
    ]
  },
  {
    path: '/auth',
    redirect: '/auth/userList',
    component: PageView,
    meta: {
      title: '权限管理',
      icon: 'lock',
      permission: 'M_auth_0'
    },
    children: [
      {
        path: '/auth/userList',
        name: 'powerUserList',
        component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
        meta: {
          title: '用户管理',
          icon: 'user',
          permission: 'M_power_user_list'
        }
      },
      {
        path: '/auth/roleList',
        name: 'powerRoleList',
        component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
        meta: {
          title: '角色管理',
          icon: 'solution',
          permission: 'M_power_role_list'
        }
      },
      {
        path: '/menusAuth/menu',
        name: 'powerMenu',
        component: () => import(/* webpackChunkName: "auth" */ '@/views/power/menu/menu.vue'),
        meta: {
          title: '菜单管理',
          icon: 'profile',
          permission: 'M_power_menu_list'
        }
      }
    ]
  },
  {
    path: '/setting',
    redirect: '/setting/userList',
    component: PageView,
    meta: {
      title: '系统设置',
      icon: 'setting',
      permission: 'M_setting_0'
    },
    children: [{
      path: '/setting/dataDictionary',
      name: 'powerDD',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/dataDictionary/dataDictionary.vue'),
      meta: {
        title: '数据字典管理',
        icon: 'database',
        permission: 'M_sys_dataDictionary'
      }
    },
    {
      path: '/setting/OperateJournal',
      name: 'powerOperateJournal',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/OperateJournal/OperateJournal.vue'),
      meta: {
        title: '操作日志',
        icon: 'read',
        permission: 'M_OperateJournal'
      }
    }
    ]
  }
  ]
},
{
  path: '*',
  redirect: '/404',
  hidden: true
}
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
  path: '/user',
  component: UserLayout,
  redirect: '/user/login',
  hidden: true,
  children: [{
    path: 'login',
    name: 'login',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
  },
  {
    path: 'register',
    name: 'register',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
  },
  {
    path: 'register-result',
    name: 'registerResult',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
  },
  {
    path: 'recover',
    name: 'recover',
    component: undefined
  }
  ]
},
{
  path: '/404',
  component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
}

]
